GNU bug report logs - #21637
dired-do-compress and zip files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>; dated Tue, 6 Oct 2015 15:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21637 <at> debbugs.gnu.org:


Received: (at 21637) by debbugs.gnu.org; 7 Oct 2015 22:48:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 18:48:35 2015
Received: from localhost ([127.0.0.1]:59479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjxVj-0006vS-E9
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 18:48:35 -0400
Received: from gateway22.websitewelcome.com ([192.185.46.126]:49595)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjxVh-0006vK-JH
 for 21637 <at> debbugs.gnu.org; Wed, 07 Oct 2015 18:48:34 -0400
Received: by gateway22.websitewelcome.com (Postfix, from userid 500)
 id DA3A5A4322CCE; Wed,  7 Oct 2015 17:48:32 -0500 (CDT)
Received: from leaf.websitewelcome.com (leaf.websitewelcome.com
 [192.185.82.99])
 by gateway22.websitewelcome.com (Postfix) with ESMTP id D7818A4322CB2
 for <21637 <at> debbugs.gnu.org>; Wed,  7 Oct 2015 17:48:32 -0500 (CDT)
Received: from [86.186.206.88] (port=50892 helo=[192.168.0.159])
 by leaf.websitewelcome.com with esmtpsa (TLSv1:AES128-SHA:128)
 (Exim 4.85) (envelope-from <Emacs-Hacker2015@HIDDEN>)
 id 1ZjxVg-000Bs5-BG; Wed, 07 Oct 2015 17:48:32 -0500
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#21637: Subject: 24.5; dired-do-compress
From: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>
In-Reply-To: <561586F7.5060208@HIDDEN>
Date: Wed, 7 Oct 2015 23:48:30 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <5A0A0862-8531-4BBC-9CCE-951914A326B7@HIDDEN>
References: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN>
 <rhegh8exyk.fsf@HIDDEN>
 <81B0FFD2-44BE-41DD-9BD0-75BFBC86164D@HIDDEN>
 <561586F7.5060208@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 86.186.206.88
X-Exim-ID: 1ZjxVg-000Bs5-BG
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: ([192.168.0.159]) [86.186.206.88]:50892
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 21637
Cc: Glenn Morris <rgm@HIDDEN>, 21637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

True, I conflated/confused archiving/compressing, somehow inevitable =
with *.zip but not with *.tgz and so on
yet many if not most users naturally consider the combination as a =
single concept.

		Peace
			=97Devon

P.S. Even if dired-do-archive existed to serve this major use case,
the difference between foo.zip and foo.gz is utterly obscure
and to create foo.zip.gz is insanely perverse.

P.P.S. (dired "/sudo::=94) works, can (dired =93/zip::=94) be far?
Then dired-do-copy would work.  Might be easier for
shift-C to work in Zip-Archive mode as in dired.

On Oct 7, 2015, at 9:56 PM, Ken Brown <kbrown@HIDDEN> wrote:

> On 10/7/2015 4:22 PM, Devon Sean McCullough wrote:
>> P.S. Obviously foo.tar would be treated likewise.
>=20
> That's not at all obvious.  I would expect foo.tar to be compressed to =
foo.tar.gz.  I think that's a much more common use case.
>=20
> Ken
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21637; Package emacs. Full text available.

Message received at 21637 <at> debbugs.gnu.org:


Received: (at 21637) by debbugs.gnu.org; 7 Oct 2015 20:56:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 16:56:11 2015
Received: from localhost ([127.0.0.1]:59343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zjvkx-0003W6-8v
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 16:56:11 -0400
Received: from limerock04.mail.cornell.edu ([128.84.13.244]:49145)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kbrown@HIDDEN>) id 1Zjvkv-0003Vx-Pq
 for 21637 <at> debbugs.gnu.org; Wed, 07 Oct 2015 16:56:10 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock04.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id t97Ku8vM010177;
 Wed, 7 Oct 2015 16:56:09 -0400
Received: from [192.168.1.3] (cpe-67-249-176-138.twcny.res.rr.com
 [67.249.176.138]) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id t97Ku7w3029145
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Wed, 7 Oct 2015 16:56:08 -0400
Subject: Re: bug#21637: Subject: 24.5; dired-do-compress
To: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>,
 Glenn Morris <rgm@HIDDEN>
References: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN>
 <rhegh8exyk.fsf@HIDDEN>
 <81B0FFD2-44BE-41DD-9BD0-75BFBC86164D@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <561586F7.5060208@HIDDEN>
Date: Wed, 7 Oct 2015 16:56:23 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
In-Reply-To: <81B0FFD2-44BE-41DD-9BD0-75BFBC86164D@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21637
Cc: 21637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 10/7/2015 4:22 PM, Devon Sean McCullough wrote:
> P.S. Obviously foo.tar would be treated likewise.

That's not at all obvious.  I would expect foo.tar to be compressed to 
foo.tar.gz.  I think that's a much more common use case.

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21637; Package emacs. Full text available.

Message received at 21637 <at> debbugs.gnu.org:


Received: (at 21637) by debbugs.gnu.org; 7 Oct 2015 20:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 16:23:02 2015
Received: from localhost ([127.0.0.1]:59316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjvEr-0002HB-TV
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 16:23:02 -0400
Received: from gateway33.websitewelcome.com ([192.185.146.70]:33328)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjvEp-0002Gk-Ct
 for 21637 <at> debbugs.gnu.org; Wed, 07 Oct 2015 16:22:59 -0400
Received: by gateway33.websitewelcome.com (Postfix, from userid 500)
 id C44FFA47AA478; Wed,  7 Oct 2015 15:22:58 -0500 (CDT)
Received: from leaf.websitewelcome.com (leaf.websitewelcome.com
 [192.185.82.99])
 by gateway33.websitewelcome.com (Postfix) with ESMTP id C1953A47AA421
 for <21637 <at> debbugs.gnu.org>; Wed,  7 Oct 2015 15:22:58 -0500 (CDT)
Received: from [86.186.206.88] (port=49827 helo=[192.168.0.159])
 by leaf.websitewelcome.com with esmtpsa (TLSv1:AES128-SHA:128)
 (Exim 4.85) (envelope-from <Emacs-Hacker2015@HIDDEN>)
 id 1ZjvEo-000Tqg-BT; Wed, 07 Oct 2015 15:22:58 -0500
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#21637: Subject: 24.5; dired-do-compress
From: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>
In-Reply-To: <rhegh8exyk.fsf@HIDDEN>
Date: Wed, 7 Oct 2015 21:22:56 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <81B0FFD2-44BE-41DD-9BD0-75BFBC86164D@HIDDEN>
References: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN>
 <rhegh8exyk.fsf@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 86.186.206.88
X-Exim-ID: 1ZjvEo-000Tqg-BT
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: ([192.168.0.159]) [86.186.206.88]:49827
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 21637
Cc: 21637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Ask yourself, what would a reasonable user expect?
If =93beyond the scope=94 means =93we don't fix problems=94 well,
yes, times have changed since I was a paid Emacs maintainer.
My answer would=92ve been more of the form, hmm=85 what's the right =
thing?

When foo.zip contains only names of the form foo/* perhaps ask

	Uncompress foo.zip into directory foo?  (y or n)=20

of course if foo already exists, get confirmation before writing to it
and prompt for an alternative directory name if necessary.

Given one of those archives that would spam the containing directory
(I=92ve read ancient religious debates on the topic but no matter)
simply derive a directory name from the archive name.

In the case of a one-file archive, just unpack it
making sure to mention the unpacked name.

		Peace
			=97Devon

P.S. Obviously foo.tar would be treated likewise.

On Oct 6, 2015, at 5:57 PM, Glenn Morris <rgm@HIDDEN> wrote:

> Devon Sean McCullough wrote:
>> dired-do-compress does foo.zip --> foo.zip.gz, should do foo.zip -->
>> foo instead.
> "Uncompressing" a zip file may (and normally does?) result in multiple
> output files, which is beyond the scope of dired-do-compress,
> in the same way that it does not extract .tar files.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21637; Package emacs. Full text available.
Changed bug title to 'dired-do-compress and zip files' from 'Subject: 24.5; dired-do-compress' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21637 <at> debbugs.gnu.org:


Received: (at 21637) by debbugs.gnu.org; 6 Oct 2015 16:58:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 12:58:10 2015
Received: from localhost ([127.0.0.1]:57326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjVZ3-0004Ti-TD
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:58:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52572)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1ZjVZ2-0004Tb-7H
 for 21637 <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:58:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ZjVYw-0003uP-3r
 for 21637 <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:58:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43711)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ZjVYs-0003sn-Pe; Tue, 06 Oct 2015 12:57:58 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ZjVYq-0003S4-BQ; Tue, 06 Oct 2015 12:57:56 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>
Subject: Re: bug#21637: Subject: 24.5; dired-do-compress
References: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN>
X-Spook: New World Order FEMA strategic Agro Terror Radiation Drug
X-Ran: ,8)j"1_wV8{&EfA::/H:_g{f..V#DRUxF>K^0orF^)7A~Q=*&{.YM\.{TuTt\%8zQ8xDP+
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 06 Oct 2015 12:57:55 -0400
In-Reply-To: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN> (Devon Sean
 McCullough's message of "Tue, 6 Oct 2015 16:13:43 +0100")
Message-ID: <rhegh8exyk.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21637
Cc: 21637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Devon Sean McCullough wrote:

> dired-do-compress does foo.zip --> foo.zip.gz, should do foo.zip -->
> foo instead.

"Uncompressing" a zip file may (and normally does?) result in multiple
output files, which is beyond the scope of dired-do-compress,
in the same way that it does not extract .tar files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21637; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2015 15:42:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 11:42:58 2015
Received: from localhost ([127.0.0.1]:57259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjUOG-0007xM-13
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 11:42:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42886)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyS-0007L2-KZ
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 11:16:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyP-0005fV-5F
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 11:16:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50348)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyO-0005fQ-RO
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 11:16:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52836)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyL-0003r5-MI
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 11:16:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyD-0005Xs-P7
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 11:16:09 -0400
Received: from gateway26.websitewelcome.com ([192.185.87.38]:51144)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Emacs-Hacker2015@HIDDEN>) id 1ZjTyD-0005XZ-GQ
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 11:16:01 -0400
Received: by gateway26.websitewelcome.com (Postfix, from userid 1000)
 id 4EBC7279AB333; Tue,  6 Oct 2015 10:13:43 -0500 (CDT)
Received: from leaf.websitewelcome.com (leaf.websitewelcome.com
 [192.185.82.99])
 by gateway26.websitewelcome.com (Postfix) with ESMTP id 4A25A279AB331
 for <bug-gnu-emacs@HIDDEN>; Tue,  6 Oct 2015 10:13:43 -0500 (CDT)
Received: from [109.204.29.230] (port=56066 helo=[192.168.0.36])
 by leaf.websitewelcome.com with esmtpsa (TLSv1:AES128-SHA:128)
 (Exim 4.85) (envelope-from <Emacs-Hacker2015@HIDDEN>)
 id 1ZjTvy-0003LB-LY
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 10:13:43 -0500
From: Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable
Subject: Subject: 24.5; dired-do-compress
Message-Id: <3C53E095-9013-4762-AC16-44C9625DDA6B@HIDDEN>
Date: Tue, 6 Oct 2015 16:13:43 +0100
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
X-Mailer: Apple Mail (2.1878.6)
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 109.204.29.230
X-Exim-ID: 1ZjTvy-0003LB-LY
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: ([192.168.0.36]) [109.204.29.230]:56066
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Oct 2015 11:42:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

dired-do-compress does foo.zip --> foo.zip.gz, should do foo.zip --> foo =
instead.

		Peace
			=97Devon

P.S. To replicate, type capital-Z after starting Emacs like this:
bash$ Open -a Emacs -n --args -Q --eval '(shell-command "zip <<< bar > =
/tmp/foo.zip")' --eval '(dired "/tmp/foo.zip")'
bash$ type zip
zip is /usr/bin/zip

In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
 of 2015-04-10 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1265
Configured using:
 `configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Important settings:
  locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
  adding: - (stored 0%)
ls does not support --dired; see `dired-use-ls-dired' for more details.
Compress or uncompress foo.zip? (y or n) y
Compressing /tmp/foo.zip...done
Compress or uncompress: 1 file.
foo.zip.gz

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils dired-aux dired time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 77286 4373)
 (symbols 48 17640 0)
 (miscs 40 42 130)
 (strings 32 11369 3914)
 (string-bytes 1 297483)
 (vectors 16 9448)
 (vector-slots 8 384612 15166)
 (floats 8 53 270)
 (intervals 56 185 0)
 (buffers 960 13))

bash$ zip --help
Copyright (c) 1990-2008 Info-ZIP - Type 'zip "-L"' for software license.
Zip 3.0 (July 5th 2008). Usage:
zip [-options] [-b path] [-t mmddyyyy] [-n suffixes] [zipfile list] [-xi =
list]
  The default action is to add or replace zipfile entries from list, =
which
  can include the special name - to compress standard input.
  If zipfile and list are omitted, zip compresses stdin to stdout.
  -f   freshen: only changed files  -u   update: only changed or new =
files
  -d   delete entries in zipfile    -m   move into zipfile (delete OS =
files)
  -r   recurse into directories     -j   junk (don't record) directory =
names
  -0   store only                   -l   convert LF to CR LF (-ll CR LF =
to LF)
  -1   compress faster              -9   compress better
  -q   quiet operation              -v   verbose operation/print version =
info
  -c   add one-line comments        -z   add zipfile comment
  -@   read names from stdin        -o   make zipfile as old as latest =
entry
  -x   exclude the following names  -i   include only the following =
names
  -F   fix zipfile (-FF try harder) -D   do not add directory entries
  -A   adjust self-extracting exe   -J   junk zipfile prefix (unzipsfx)
  -T   test zipfile integrity       -X   eXclude eXtra file attributes
  -y   store symbolic links as the link instead of the referenced file
  -e   encrypt                      -n   don't compress these suffixes
  -h2  show more help
 =20
bash$ zip -h2

Extended Help for Zip

See the Zip Manual for more detailed help


Zip stores files in zip archives.  The default action is to add or =
replace
zipfile entries.

Basic command line:
  zip options archive_name file file ...

Some examples:
  Add file.txt to z.zip (create z if needed):      zip z file.txt
  Zip all files in current dir:                    zip z *
  Zip files in current dir and subdirs also:       zip -r z .

Basic modes:
 External modes (selects files from file system):
        add      - add new files/update existing files in archive =
(default)
  -u    update   - add new files/update existing files only if later =
date
  -f    freshen  - update existing files only (no files added)
  -FS   filesync - update if date or size changed, delete if no OS match
 Internal modes (selects entries in archive):
  -d    delete   - delete files from archive (see below)
  -U    copy     - select files in archive to copy (use with --out)

Basic options:
  -r        recurse into directories (see Recursion below)
  -m        after archive created, delete original files (move into =
archive)
  -j        junk directory names (store just file names)
  -q        quiet operation
  -v        verbose operation (just "zip -v" shows version information)
  -c        prompt for one-line comment for each entry
  -z        prompt for comment for archive (end with just "." line or =
EOF)
  -@        read names to zip from stdin (one path per line)
  -o        make zipfile as old as latest entry


Syntax:
  The full command line syntax is:

    zip [-shortopts ...] [--longopt ...] [zipfile [path path ...]] [-xi =
list]

  Any number of short option and long option arguments are allowed
  (within limits) as well as any number of path arguments for files
  to zip up.  If zipfile exists, the archive is read in.  If zipfile
  is "-", stream to stdout.  If any path is "-", zip stdin.

Options and Values:
  For short options that take values, use -ovalue or -o value or =
-o=3Dvalue
  For long option values, use either --longoption=3Dvalue or =
--longoption value
  For example:
    zip -ds 10 --temp-dir=3Dpath zipfile path1 path2 --exclude pattern =
pattern
  Avoid -ovalue (no space between) to avoid confusion
  In particular, be aware of 2-character options.  For example:
    -d -s is (delete, split size) while -ds is (dot size)
  Usually better to break short options across multiple arguments by =
function
    zip -r -dbdcds 10m -lilalf logfile archive input_directory -ll

  All args after just "--" arg are read verbatim as paths and not =
options.
    zip zipfile path path ... -- verbatimpath verbatimpath ...
  Use -nw to also disable wildcards, so paths are read literally:
    zip zipfile -nw -- "-leadingdashpath" "a[path].c" =
"path*withwildcard"
  You may still have to escape or quote arguments to avoid shell =
expansion

Wildcards:
  Internally zip supports the following wildcards:
    ?       (or %% or #, depending on OS) matches any single character
    *       matches any number of characters, including zero
    [list]  matches char in list (regex), can do range [ac-f], all but =
[!bf]
  If port supports [], must escape [ as [[] or use -nw to turn off =
wildcards
  For shells that expand wildcards, escape (\* or "*") so zip can =
recurse
    zip zipfile -r . -i "*.h"

  Normally * crosses dir bounds in path, e.g. 'a*b' can match 'ac/db'.  =
If
   -ws option used, * does not cross dir bounds but ** does

  For DOS and Windows, [list] is now disabled unless the new option
  -RE       enable [list] (regular expression) matching
  is used to avoid problems with file paths containing "[" and "]":
    zip files_ending_with_number -RE foo[0-9].c

Include and Exclude:
  -i pattern pattern ...   include files that match a pattern
  -x pattern pattern ...   exclude files that match a pattern
  Patterns are paths with optional wildcards and match paths as stored =
in
  archive.  Exclude and include lists end at next option, @, or end of =
line.
    zip -x pattern pattern @ zipfile path path ...

Case matching:
  On most OS the case of patterns must match the case in the archive, =
unless
  the -ic option is used.
  -ic       ignore case of archive entries
  This option not available on case-sensitive file systems.  On others, =
case
  ignored when matching files on file system but matching against =
archive
  entries remains case sensitive for modes -f (freshen), -U (archive =
copy),
  and -d (delete) because archive paths are always case sensitive.  With
  -ic, all matching ignores case, but it's then possible multiple =
archive
  entries that differ only in case will match.

End Of Line Translation (text files only):
  -l        change CR or LF (depending on OS) line end to CR LF =
(Unix->Win)
  -ll       change CR LF to CR or LF (depending on OS) line end =
(Win->Unix)
  If first buffer read from file contains binary the translation is =
skipped

Recursion:
  -r        recurse paths, include files in subdirs:  zip -r a path path =
...
  -R        recurse current dir and match patterns:   zip -R a ptn ptn =
...
  Use -i and -x with either to include or exclude paths
  Path root in archive starts at current dir, so if /a/b/c/file and
   current dir is /a/b, 'zip -r archive .' puts c/file in archive

Date filtering:
  -t date   exclude before (include files modified on this date and =
later)
  -tt date  include before (include files modified before date)
  Can use both at same time to set a date range
  Dates are mmddyyyy or yyyy-mm-dd

Deletion, File Sync:
  -d        delete files
  Delete archive entries matching internal archive paths in list
    zip archive -d pattern pattern ...
  Can use -t and -tt to select files in archive, but NOT -x or -i, so
    zip archive -d "*" -t 2005-12-27
  deletes all files from archive.zip with date of 27 Dec 2005 and later
  Note the * (escape as "*" on Unix) to select all files in archive

  -FS       file sync
  Similar to update, but files updated if date or size of entry does not
  match file on OS.  Also deletes entry from archive if no matching file
  on OS.
    zip archive_to_update -FS -r dir_used_before
  Result generally same as creating new archive, but unchanged entries
  are copied instead of being read and compressed so can be faster.
      WARNING:  -FS deletes entries so make backup copy of archive first

Compression:
  -0        store files (no compression)
  -1 to -9  compress fastest to compress best (default is 6)
  -Z cm     set compression method to cm:
              store   - store without compression, same as option -0
              deflate - original zip deflate, same as -1 to -9 (default)
            if bzip2 is enabled:
              bzip2 - use bzip2 compression (need modern unzip)

Encryption:
  -e        use standard (weak) PKZip 2.0 encryption, prompt for =
password
  -P pswd   use standard encryption, password is pswd

Splits (archives created as a set of split files):
  -s ssize  create split archive with splits of size ssize, where ssize =
nm
              n number and m multiplier (kmgt, default m), 100k -> 100 =
kB
  -sp       pause after each split closed to allow changing disks
      WARNING:  Archives created with -sp use data descriptors and =
should
                work with most unzips but may not work with some
  -sb       ring bell when pause
  -sv       be verbose about creating splits
      Split archives CANNOT be updated, but see --out and Copy Mode =
below

Using --out (output to new archive):
  --out oa  output to new archive oa
  Instead of updating input archive, create new output archive oa.
  Result is same as without --out but in new archive.  Input archive
  unchanged.
      WARNING:  --out ALWAYS overwrites any existing output file
  For example, to create new_archive like old_archive but add newfile1
  and newfile2:
    zip old_archive newfile1 newfile2 --out new_archive
  Cannot update split archive, so use --out to out new archive:
    zip in_split_archive newfile1 newfile2 --out out_split_archive
  If input is split, output will default to same split size
  Use -s=3D0 or -s- to turn off splitting to convert split to single =
file:
    zip in_split_archive -s 0 --out out_single_file_archive
      WARNING:  If overwriting old split archive but need less splits,
                old splits not overwritten are not needed but remain

Copy Mode (copying from archive to archive):
  -U        (also --copy) select entries in archive to copy (reverse =
delete)
  Copy Mode copies entries from old to new archive with --out and is =
used by
  zip when either no input files on command line or -U (--copy) used.
    zip inarchive --copy pattern pattern ... --out outarchive
  To copy only files matching *.c into new archive, excluding foo.c:
    zip old_archive --copy "*.c" --out new_archive -x foo.c
  If no input files and --out, copy all entries in old archive:
    zip old_archive --out new_archive

Streaming and FIFOs:
  prog1 | zip -ll z -      zip output of prog1 to zipfile z, converting =
CR LF
  zip - -R "*.c" | prog2   zip *.c files in current dir and stream to =
prog2=20
  prog1 | zip | prog2      zip in pipe with no in or out acts like zip - =
-
  If Zip is Zip64 enabled, streaming stdin creates Zip64 archives by =
default
   that need PKZip 4.5 unzipper like UnZip 6.0
  WARNING:  Some archives created with streaming use data descriptors =
and
            should work with most unzips but may not work with some
  Can use -fz- to turn off Zip64 if input not large (< 4 GB):
    prog_with_small_output | zip archive -fz-

  Zip now can read Unix FIFO (named pipes).  Off by default to prevent =
zip
  from stopping unexpectedly on unfed pipe, use -FI to enable:
    zip -FI archive fifo

Dots, counts:
  -db       display running count of bytes processed and bytes to go
              (uncompressed size, except delete and copy show stored =
size)
  -dc       display running count of entries done and entries to go
  -dd       display dots every 10 MB (or dot size) while processing =
files
  -dg       display dots globally for archive instead of for each file
    zip -qdgds 10m   will turn off most output except dots every 10 MB
  -ds siz   each dot is siz processed where siz is nm as splits (0 no =
dots)
  -du       display original uncompressed size for each entry as added
  -dv       display volume (disk) number in format in_disk>out_disk
  Dot size is approximate, especially for dot sizes less than 1 MB
  Dot options don't apply to Scanning files dots (dot/2sec) (-q turns =
off)

Logging:
  -lf path  open file at path as logfile (overwrite existing file)
  -la       append to existing logfile
  -li       include info messages (default just warnings and errors)

Testing archives:
  -T        test completed temp archive with unzip before updating =
archive
  -TT cmd   use command cmd instead of 'unzip -tqq' to test archive
             On Unix, to use unzip in current directory, could use:
               zip archive file1 file2 -T -TT "./unzip -tqq"
             The return code is checked for success (0 on Unix)

Fixing archives:
  -F        attempt to fix a mostly intact archive (try this first)
  -FF       try to salvage what can (may get more but less reliable)
  Fix options copy entries from potentially bad archive to new archive.
  -F tries to read archive normally and copy only intact entries, while
  -FF tries to salvage what can and may result in incomplete entries.
  Must use --out option to specify output archive:
    zip -F bad.zip --out fixed.zip
  Use -v (verbose) with -FF to see details:
    zip reallybad.zip -FF -v --out fixed.zip
  Currently neither option fixes bad entries, as from text mode ftp get.

Difference mode:
  -DF       (also --dif) only include files that have changed or are
             new as compared to the input archive
  Difference mode can be used to create incremental backups.  For =
example:
    zip --dif full_backup.zip -r somedir --out diff.zip
  will store all new files, as well as any files in full_backup.zip =
where
  either file time or size have changed from that in full_backup.zip,
  in new diff.zip.  Output archive not excluded automatically if exists,
  so either use -x to exclude it or put outside what is being zipped.

DOS Archive bit (Windows only):
  -AS       include only files with the DOS Archive bit set
  -AC       after archive created, clear archive bit of included files
      WARNING: Once the archive bits are cleared they are cleared
               Use -T to test the archive before the bits are cleared
               Can also use -sf to save file list before zipping files

Show files:
  -sf       show files to operate on and exit (-sf- logfile only)
  -su       as -sf but show escaped UTF-8 Unicode names also if exist
  -sU       as -sf but show escaped UTF-8 Unicode names instead
  Any character not in the current locale is escaped as #Uxxxx, where x
  is hex digit, if 16-bit code is sufficient, or #Lxxxxxx if 24-bits
  are needed.  If add -UN=3De, Zip escapes all non-ASCII characters.

Unicode:
  If compiled with Unicode support, Zip stores UTF-8 path of entries.
  This is backward compatible.  Unicode paths allow better conversion
  of entry names between different character sets.

  New Unicode extra field includes checksum to verify Unicode path
  goes with standard path for that entry (as utilities like ZipNote
  can rename entries).  If these do not match, use below options to
  set what Zip does:
      -UN=3DQuit     - if mismatch, exit with error
      -UN=3DWarn     - if mismatch, warn, ignore UTF-8 (default)
      -UN=3DIgnore   - if mismatch, quietly ignore UTF-8
      -UN=3DNo       - ignore any UTF-8 paths, use standard paths for =
all
  An exception to -UN=3DN are entries with new UTF-8 bit set (instead
  of using extra fields).  These are always handled as Unicode.

  Normally Zip escapes all chars outside current char set, but leaves
  as is supported chars, which may not be OK in path names.  -UN=3DEscape
  escapes any character not ASCII:
    zip -sU -UN=3De archive
  Can use either normal path or escaped Unicode path on command line
  to match files in archive.

  Zip now stores UTF-8 in entry path and comment fields on systems
  where UTF-8 char set is default, such as most modern Unix, and
  and on other systems in new extra fields with escaped versions in
  entry path and comment fields for backward compatibility.
  Option -UN=3DUTF8 will force storing UTF-8 in entry path and comment
  fields:
      -UN=3DUTF8     - store UTF-8 in entry path and comment fields
  This option can be useful for multi-byte char sets on Windows where
  escaped paths and comments can be too long to be valid as the UTF-8
  versions tend to be shorter.

  Only UTF-8 comments on UTF-8 native systems supported.  UTF-8 comments
  for other systems planned in next release.

Self extractor:
  -A        Adjust offsets - a self extractor is created by prepending
             the extractor executable to archive, but internal offsets
             are then off.  Use -A to fix offsets.
  -J        Junk sfx - removes prepended extractor executable from
             self extractor, leaving a plain zip archive.

More option highlights (see manual for additional options and details):
  -b dir    when creating or updating archive, create the temp archive =
in
             dir, which allows using seekable temp file when writing to =
a
             write once CD, such archives compatible with more unzips
             (could require additional file copy if on another device)
  -MM       input patterns must match at least one file and matched =
files
             must be readable or exit with OPEN error and abort archive
             (without -MM, both are warnings only, and if unreadable =
files
             are skipped OPEN error (18) returned after archive created)
  -nw       no wildcards (wildcards are like any other character)
  -sc       show command line arguments as processed and exit
  -sd       show debugging as Zip does each step
  -so       show all available options on this system
  -X        default=3Dstrip old extra fields, -X- keep old, -X strip =
most
  -ws       wildcards don't span directory boundaries in paths

bash$=20





Acknowledgement sent to Devon Sean McCullough <Emacs-Hacker2015@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21637; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.